Package org.bukkit.event.inventory

# Class InventoryCloseEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.inventory.InventoryEvent
org.bukkit.event.inventory.InventoryCloseEvent

public class InventoryCloseEvent extends InventoryEvent
Represents a player related inventory event

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`InventoryCloseEvent.Reason`

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.inventory.InventoryEvent

`transaction`

## Constructor Summary

Constructors
Constructor
Description
`InventoryCloseEvent(@NotNull InventoryView transaction)`
`InventoryCloseEvent(@NotNull InventoryView transaction, @NotNull InventoryCloseEvent.Reason reason)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`final @NotNull HumanEntity`
`getPlayer()`
Returns the player involved in this event
`@NotNull InventoryCloseEvent.Reason`
`getReason()`

### Methods inherited from class org.bukkit.event.inventory.InventoryEvent

`getInventory, getView, getViewers`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InventoryCloseEvent

public InventoryCloseEvent(@NotNull @NotNull InventoryView transaction)

### InventoryCloseEvent

public InventoryCloseEvent(@NotNull @NotNull InventoryView transaction, @NotNull @NotNull InventoryCloseEvent.Reason reason)

## Method Details

### getReason

@NotNull public @NotNull InventoryCloseEvent.Reason getReason()

### getPlayer

@NotNull public final @NotNull HumanEntity getPlayer()
Returns the player involved in this event

Returns:
  Player who is involved in this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Overrides:
  `getHandlers` in class `InventoryEvent`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()